#include <stdio.h>
#include <stdlib.h>
#include <string.h>

/* These two are needed everywhere to get vital definitions */

#include "cpu/cpu.h"
#include "memory/memory.h"

#define VERSION		"XGS Version 0.25"

#define ROM_FILE	"xgs.rom"
#define BRAM_FILE	"xgs.ram"
#define FONT40_FILE	"xgs40.fnt"
#define FONT80_FILE	"xgs80.fnt"

/* Union to split a word into two bytes. Used for endianness swapping */

typedef union {
	unsigned short	W;
	struct	{ unsigned char B1,B2; } B;
} wswap;

/* Same as above, but splits a long into four bytes */

typedef union {
	unsigned long	L;
	struct	{ unsigned char B1,B2,B3,B4; } B;
} lswap;
